<!--
  Generated template for the SaleItemRptPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header id="salesRptHeader">

  <ion-navbar>
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
    <ion-title>Items Sales Report</ion-title>
  </ion-navbar>
<div class="header">
    <ion-grid>
        <ion-row>
          <ion-col align-self-start col-3>
            <div class="Item">
             Item
            </div>
          </ion-col>
          <ion-col align-self-start col-3>
            <div class="Mode">
              Mode
            </div>
          </ion-col>
          <ion-col align-self-start col-2>
            <div class="nl">
            NL
            </div>
          </ion-col>
          <ion-col align-self-start col-4>
            <div class="amount">
           Tonnage
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>   
  
</div>
</ion-header>

<ion-content id="salesRpt">
    <ion-list>
        <ion-item *ngFor="let Data of setData">
            <ion-grid>
                <ion-row>
                  <ion-col align-self-start col-3>
                    <div class="Item" text-wrap>
                        {{Data.MaterialName}}
                    </div>
                  </ion-col>
                  <ion-col align-self-start col-3>
                    <div class="Mode">
                        {{Data.Mode}}
                    </div>
                  </ion-col>
                  <ion-col align-self-start col-2>
                    <div class="nl">
                        {{Data.NL}}
                    </div>
                  </ion-col>
                  <ion-col align-self-start col-4>
                    <div class="amount">
                         {{Data.NetWt}}
                    </div>
                  </ion-col>
                </ion-row>
              </ion-grid>   
              <ion-grid>
                  <ion-row>
                    <ion-col align-self-start col-3>
                      <div class="Item">                         
                      </div>
                    </ion-col>
                    <ion-col align-self-start col-3>
                      <div class="Mode">
                          {{Data.Mode2}}
                      </div>
                    </ion-col>
                    <ion-col align-self-start col-2>
                      <div class="nl">
                          {{Data.NL2}}
                      </div>
                    </ion-col>
                    <ion-col align-self-start col-4>
                      <div class="amount">
                           {{Data.NetWt2}}
                      </div>
                    </ion-col>
                  </ion-row>
                </ion-grid> 
                <ion-grid>
                    <ion-row>
                      <ion-col align-self-start col-3>
                        <div class="Item">   
                          Total                      
                        </div>
                      </ion-col>
                      <ion-col align-self-start col-3>
                        <div class="Mode">
                            {{Data.TotalMode}}
                        </div>
                      </ion-col>
                      <ion-col align-self-start col-2>
                        <div class="nl">
                            {{Data.TotalNL}}
                        </div>
                      </ion-col>
                      <ion-col align-self-start col-4>
                        <div class="amount">
                            {{Data.TotalNetWt}}
                        </div>
                      </ion-col>
                    </ion-row>
                  </ion-grid>
        </ion-item>
      </ion-list>
  
</ion-content>

<ion-footer  id="salesRptFooter">
  <div class="total">
    <div class="subTotal">
        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-col align-self-center col-6>Cash Total
                    </ion-col>
                   
                    <ion-col align-self-center col-2 text-right> {{csNL}}
                    </ion-col>
                    <ion-col align-self-center col-4 text-right>{{csTotal}}
                      </ion-col>
                    </ion-row>
                    <ion-row>
                        <ion-col align-self-center col-6>   Credit Total                   
                        </ion-col>
                    
                        <ion-col align-self-center col-2 text-right> {{crNL}}
                        </ion-col>
                        <ion-col align-self-center col-4 text-right>{{crTotal}}
                          </ion-col>
                        </ion-row>                   

                
              </ion-grid>
          
        </ion-item>
    </div>
    <ion-item class="totalval">
        <ion-grid>
            <ion-row>
                <ion-col align-self-center col-6>Total
                </ion-col>
              
                <ion-col align-self-center col-2 text-right> {{nlTotal}}                  
                </ion-col>
                <ion-col align-self-center col-4 text-right>{{Total}}</ion-col>            
          
            </ion-row>
          </ion-grid>
      
    </ion-item>
  </div>
</ion-footer>